package com.ruoyi.web.controller.dragForm;

import com.ruoyi.business.entity.CommonEntity;
import com.ruoyi.business.entity.TableSql;
import com.ruoyi.business.service.ICommonService;
import com.ruoyi.business.service.IDragTableGroupService;
import com.ruoyi.business.service.IDragTableService;
import com.ruoyi.business.service.ITableSqlService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.exception.tenantdatassource.TenantDataSource;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping("/dragform/common")
public class CommonController extends BaseController {

    @Resource
    private ICommonService commonService;

    @Resource
    private ITableSqlService iTableSqlService;

    @Resource
    private IDragTableService dragTableService;

    /**
     * 共通查询
     */
    @GetMapping("/selectList")
    public TableDataInfo selectList(CommonEntity commonEntity) {
        startPage();
        return getDataTable(commonService.selectList(commonEntity));
    }

    /**
     * 共通批量新增
     */
    @PostMapping("/batchInsert")
    public AjaxResult batchInsert(@RequestBody CommonEntity commonEntity) {
        return toAjax(commonService.batchInsert(commonEntity));
    }

    /**
     * 共通修改sql
     */
    @PutMapping("/batchEdit")
    public AjaxResult edit(@RequestBody CommonEntity commonEntity) {
        return toAjax(commonService.edit(commonEntity));
    }

    /**
     * 批量删除
     */
    @DeleteMapping("/batchDelete")
    public AjaxResult batchDelete(@RequestBody CommonEntity commonEntity) {
        return toAjax(commonService.batchDelete(commonEntity));
    }

    /**
     * 联合查询通用sql
     *
     * @param commonEntity
     * @return
     */
    @GetMapping("/getTableList")
    public TableDataInfo queryTableList(CommonEntity commonEntity) throws TenantDataSource {
        TableSql tableSql = iTableSqlService.selectTableSqlByTSqlKey(commonEntity.getQueryMap().get("sqlkey").toString());
        startPage();  // 校验是否sqlserver 否执行 是执行另一种方式的分页
        return getDataTable(commonService.queryTableList2(commonEntity, tableSql));
    }

    /**
     * 通用动态表单详情
     */
    @GetMapping("/dragTableInfo")
    public AjaxResult dragTableInfo(CommonEntity commonEntity) {
      return   AjaxResult.success(dragTableService.dragTableInfo(commonEntity.getQueryMap().get("tableKey").toString()));
    }

    /**
     *  动态表单预览接口
     * @param commonEntity
     * @return
     */
    @GetMapping("/dragTablePreview")
    public TableDataInfo DragTablePreview(CommonEntity commonEntity) {
        startPage();
        return getDataTable(commonService.dragTablePreview(commonEntity));
    }

}
