package com.ruoyi.web.controller.dragForm;

import com.ruoyi.business.entity.CommonEntity;
import com.ruoyi.business.service.IDragTableConditionService;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

/**
 * 动态表格条件Controller
 * 
 * @author ruoyi
 * @date 2023-07-31
 */
@RestController
@RequestMapping("/system/condition")
public class DragTableConditionController extends BaseController
{
    @Autowired
    private IDragTableConditionService dragTableConditionService;

    /**
     * 查询动态表格条件列表
     */
    @PreAuthorize("@ss.hasPermi('system:condition:list')")
    @GetMapping("/list")
    public TableDataInfo list(CommonEntity commonEntity)
    {
        startPage();
        return getDataTable(dragTableConditionService.selectDragTableConditionList(commonEntity));
    }

}
