package com.ruoyi.web.controller.dragForm;

import com.ruoyi.business.entity.DragTable;
import com.ruoyi.business.entity.vo.DragTableVo;
import com.ruoyi.business.service.IDragTableService;
import com.ruoyi.business.service.IDragTableStyleService;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.common.utils.poi.ExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 动态表格Controller
 *
 * @author xzz
 * @date 2023-07-31
 */
@RestController
@RequestMapping("/system/table")
public class DragTableController extends BaseController {

    @Autowired
    private IDragTableService dragTableService;

    /**
     * 查询动态表格列表
     */
    @GetMapping("/list")
    public TableDataInfo list(DragTable dragTable) {
        startPage();
        List<DragTable> list = dragTableService.selectDragTableList(dragTable);
        return getDataTable(list);
    }

    /**
     * 导出动态表格列表
     */
    @Log(title = "动态表格", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, DragTable dragTable) {
        List<DragTable> list = dragTableService.selectDragTableList(dragTable);
        ExcelUtil<DragTable> util = new ExcelUtil<DragTable>(DragTable.class);
        util.exportExcel(response, list, "动态表格数据");
    }

    /**
     * 获取动态表格详细信息
     */
    @GetMapping("/getInfo/{tId}")
    public AjaxResult getInfo(@PathVariable("tId") Long tId) {
        return success(dragTableService.selectDragTableVoByTId(tId));
    }

}
