package com.ruoyi.web.controller.dragForm;

import com.ruoyi.business.entity.CommonEntity;
import com.ruoyi.business.entity.DragTableGroup;
import com.ruoyi.business.entity.vo.DragTableGroupVo;
import com.ruoyi.business.service.IDragTableGroupService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;


/**
 * @author hmc
 * @date 2023-11-01 14:29
 * @Description:
 */
@RestController
@RequestMapping("/system/group")
@Api(value = "/system/group", description = "拖拽格组-接口")
public class DragTableGroupController extends BaseController {

    @Autowired
    private IDragTableGroupService dragTableGroupService;

    /**
     * 传groupKey获取当前组下的所有动态表格
     * @param commonEntity
     * @return
     */
    @GetMapping("/dragGroupTableInfo")
    public AjaxResult dragGroupTableInfo(CommonEntity commonEntity) {
        return   AjaxResult.success(dragTableGroupService.selectDragTableGroup(commonEntity.getQueryMap().get("groupKey").toString()));
    }


    /**
     * 查询拖拽表格组详细信息
     * @param dragTableGroup
     * @return
     */
    @GetMapping("/listDetail")
    @ApiOperation(value = "查询拖拽格组列表")
    public AjaxResult listDetail(DragTableGroup dragTableGroup)
    {
        DragTableGroupVo list = dragTableGroupService.selectDragTableGroupListDetail(dragTableGroup);
        return AjaxResult.success(list);
    }


    /**
     * 获取拖拽格组详细信息
     */
    @PreAuthorize("@ss.hasPermi('system:group:query')")
    @GetMapping(value = "/{id}")
    @ApiOperation(value = "获取拖拽格组详细信息")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(dragTableGroupService.selectDragTableGroupById(id));
    }
}
