package com.ruoyi.web.controller.monitor;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.system.domain.SysActivationCodeLog;
import com.ruoyi.system.service.ISysActivationCodeLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 操作日志记录
 * 
 * @author ruoyi
 */
@RestController
@RequestMapping("/monitor/activationlog")
public class SysActivationLogController extends BaseController
{
    @Autowired
    private ISysActivationCodeLogService iSysActivationCodeLogService;

    @PreAuthorize("@ss.hasPermi('monitor:activationcodelog:list')")
    @GetMapping("/list")
    public TableDataInfo list(SysActivationCodeLog activationCodeLog)
    {
        startPage();
        List<SysActivationCodeLog> list = iSysActivationCodeLogService.selectActivationCodeLogList(activationCodeLog);
        return getDataTable(list);
    }

    @Log(title = "操作日志", businessType = BusinessType.EXPORT)
    @PreAuthorize("@ss.hasPermi('monitor:activationcodelog:export')")
    @PostMapping("/export")
    public void export(HttpServletResponse response, SysActivationCodeLog activationCodeLog)
    {
        List<SysActivationCodeLog> list = iSysActivationCodeLogService.selectActivationCodeLogList(activationCodeLog);
        ExcelUtil<SysActivationCodeLog> util = new ExcelUtil<>(SysActivationCodeLog.class);
        util.exportExcel(response, list, "操作日志");
    }

    @Log(title = "操作日志", businessType = BusinessType.DELETE)
    @PreAuthorize("@ss.hasPermi('monitor:activationcodelog:remove')")
    @DeleteMapping("/{logIds}")
    public AjaxResult remove(@PathVariable Long[] logIds)
    {
        return toAjax(iSysActivationCodeLogService.deleteActivationCodeLogById(logIds));
    }

    @Log(title = "操作日志", businessType = BusinessType.CLEAN)
    @PreAuthorize("@ss.hasPermi('monitor:activationcodelog:remove')")
    @DeleteMapping("/clean")
    public AjaxResult clean()
    {
        iSysActivationCodeLogService.cleanActivationCodeLog();
        return success();
    }
}
