package com.ruoyi.framework.aspectj;

import com.ruoyi.framework.config.MyThreadLocal;
import org.apache.ibatis.plugin.Invocation;
import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.ProceedingJoinPoint;
import org.aspectj.lang.annotation.After;
import org.aspectj.lang.annotation.Around;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.aspectj.lang.reflect.MethodSignature;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.lang.reflect.Method;

/**
 * @author hmc
 * @date 2023-11-13 11:18
 * @Description:
 */

//@Aspect
//@Component
public class SqlInterceptorAopAspect {

    //@Around("execution(* com.ruoyi.system.service.impl.*.*(..))")
    public Object  beforeBusinessMethod(ProceedingJoinPoint joinPoint) throws Throwable {
        // 获取目标对象
        Object target = joinPoint.getTarget();
        Package aPackage = target.getClass().getPackage();
        // 获取目标对象所在的包路径
        String packageName = aPackage.getName();

        // 输出包路径
        System.out.println("Package Name: " + packageName);
        MyThreadLocal.set(packageName);
        String name = Thread.currentThread().getName();
        System.out.println(name);
            // 执行被拦截的方法
            Object result = joinPoint.proceed();

        return result;
    }
}
