package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.SysActivationCodeLog;
import com.ruoyi.system.domain.SysOperLog;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author hmc
 * @date 2023-10-24 13:27
 * @Description:
 */
@Mapper
public interface SysActivationCodeLogMapper {

    /**
     * 新增数据源
     */
    int insertDataSource(SysActivationCodeLog sysActivationCodeLog);

    /**
     * 查询系统操作日志集合
     *
     * @param sysActivationCodeLog 操作日志对象
     * @return 操作日志集合
     */
    public List<SysActivationCodeLog> selectActivationCodeLogList(SysActivationCodeLog sysActivationCodeLog);

    /**
     * 批量删除系统操作日志
     *
     * @param logIds 需要删除的操作日志ID
     * @return 结果
     */
    public int deleteActivationCodeLogByIds(Long[] logIds);

    /**
     * 查询操作日志详细
     *
     * @param logId 操作ID
     * @return 操作日志对象
     */
    public SysOperLog selectActivationCodeLogById(Long logId);

    /**
     * 清空操作日志
     */
    public void cleanActivationCodeLog();
}
