package com.ruoyi.system.service;

import com.ruoyi.system.domain.SysActivationCodeLog;
import com.ruoyi.system.domain.SysOperLog;

import java.util.List;

/**
 * 操作日志 服务层
 * 
 * @author ruoyi
 */
public interface ISysActivationCodeLogService
{
    /**
     * 新增激活码操作日志
     * 
     * @param sysActivationCodeLog 操作日志对象
     */
    public void insertActivationCodeLog(SysActivationCodeLog sysActivationCodeLog);

    /**
     * 查询系统操作日志集合
     * 
     * @param sysActivationCodeLog 操作日志对象
     * @return 操作日志集合
     */
    public List<SysActivationCodeLog> selectActivationCodeLogList(SysActivationCodeLog sysActivationCodeLog);

    /**
     * 批量删除系统操作日志
     * 
     * @param logIds 需要删除的操作日志ID
     * @return 结果
     */
    public int deleteActivationCodeLogById(Long[] logIds);

    /**
     * 查询操作日志详细
     * 
     * @param logId 操作ID
     * @return 操作日志对象
     */
    public SysOperLog selectActivationCodeLogById(Long logId);

    /**
     * 清空操作日志
     */
    public void cleanActivationCodeLog();
}
