package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysBpmNodeScript;

/**
 * 流程节点脚本Service接口
 * 
 * @author ruoyi
 * @date 2023-10-26
 */
public interface ISysBpmNodeScriptService 
{
    /**
     * 查询流程节点脚本
     * 
     * @param id 流程节点脚本主键
     * @return 流程节点脚本
     */
    SysBpmNodeScript selectSysBpmNodeScriptById(Long id);

    /**
     * 查询流程节点脚本列表
     * 
     * @param sysBpmNodeScript 流程节点脚本
     * @return 流程节点脚本集合
     */
    List<SysBpmNodeScript> selectSysBpmNodeScriptList(SysBpmNodeScript sysBpmNodeScript);

    /**
     * 新增流程节点脚本
     * 
     * @param sysBpmNodeScript 流程节点脚本
     * @return 结果
     */
    int insertSysBpmNodeScript(SysBpmNodeScript sysBpmNodeScript);

    /**
     * 修改流程节点脚本
     * 
     * @param sysBpmNodeScript 流程节点脚本
     * @return 结果
     */
    int updateSysBpmNodeScript(SysBpmNodeScript sysBpmNodeScript);

    /**
     * 批量删除流程节点脚本
     * 
     * @param ids 需要删除的流程节点脚本主键集合
     * @return 结果
     */
    int deleteSysBpmNodeScriptByIds(Long[] ids);

    /**
     * 删除流程节点脚本信息
     * 
     * @param id 流程节点脚本主键
     * @return 结果
     */
    int deleteSysBpmNodeScriptById(Long id);
}
