package com.ruoyi.system.service.impl;

import com.ruoyi.system.domain.SysActivationCodeLog;
import com.ruoyi.system.domain.SysOperLog;
import com.ruoyi.system.mapper.SysActivationCodeLogMapper;
import com.ruoyi.system.service.ISysActivationCodeLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author lucky
 * @date 2023-10-26 13:36
 * @Description:
 */

@Service
public class ISysActivationCodeLogServiceImpl implements ISysActivationCodeLogService {


    @Autowired
    SysActivationCodeLogMapper sysActivationCodeLogMapper;

    /**
     * 新增操作日志
     * @param sysActivationCodeLog 操作日志对象
     */
    @Override
    public void insertActivationCodeLog(SysActivationCodeLog sysActivationCodeLog) {
        sysActivationCodeLogMapper.insertDataSource(sysActivationCodeLog);
    }

    /**
     * 查询激活码操作日志集合
     * @param sysActivationCodeLog 操作日志对象
     */
    @Override
    public List<SysActivationCodeLog> selectActivationCodeLogList(SysActivationCodeLog sysActivationCodeLog) {
       return sysActivationCodeLogMapper.selectActivationCodeLogList(sysActivationCodeLog);
    }

    /**
     * 批量删除激活码操作日志
     * @param logIds 需要删除的操作日志ID
     * @return 结果
     */
    @Override
    public int deleteActivationCodeLogById(Long[] logIds) {
        return sysActivationCodeLogMapper.deleteActivationCodeLogByIds(logIds);
    }

    /**
     * 查询激活码操作日志详细
     * @param logId 操作ID
     * @return 操作日志对象
     */
    @Override
    public SysOperLog selectActivationCodeLogById(Long logId) {
        return sysActivationCodeLogMapper.selectActivationCodeLogById(logId);
    }

    /**
     * 清空激活码操作日志
     */
    @Override
    public void cleanActivationCodeLog() {
        sysActivationCodeLogMapper.cleanActivationCodeLog();
    }
}
