package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysBpmNodeScriptMapper;
import com.ruoyi.system.domain.SysBpmNodeScript;
import com.ruoyi.system.service.ISysBpmNodeScriptService;

import javax.annotation.Resource;

/**
 * 流程节点脚本Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-26
 */
@Service
public class SysBpmNodeScriptServiceImpl implements ISysBpmNodeScriptService 
{
    @Resource
    private SysBpmNodeScriptMapper sysBpmNodeScriptMapper;

    /**
     * 查询流程节点脚本
     * 
     * @param id 流程节点脚本主键
     * @return 流程节点脚本
     */
    @Override
    public SysBpmNodeScript selectSysBpmNodeScriptById(Long id)
    {
        return sysBpmNodeScriptMapper.selectSysBpmNodeScriptById(id);
    }

    /**
     * 查询流程节点脚本列表
     * 
     * @param sysBpmNodeScript 流程节点脚本
     * @return 流程节点脚本
     */
    @Override
    public List<SysBpmNodeScript> selectSysBpmNodeScriptList(SysBpmNodeScript sysBpmNodeScript)
    {
        return sysBpmNodeScriptMapper.selectSysBpmNodeScriptList(sysBpmNodeScript);
    }

    /**
     * 新增流程节点脚本
     * 
     * @param sysBpmNodeScript 流程节点脚本
     * @return 结果
     */
    @Override
    public int insertSysBpmNodeScript(SysBpmNodeScript sysBpmNodeScript)
    {
        sysBpmNodeScript.setCreateTime(DateUtils.getNowDate());
        sysBpmNodeScript.setCreateBy(SecurityUtils.getUserId().toString());
        return sysBpmNodeScriptMapper.insertSysBpmNodeScript(sysBpmNodeScript);
    }

    /**
     * 修改流程节点脚本
     * 
     * @param sysBpmNodeScript 流程节点脚本
     * @return 结果
     */
    @Override
    public int updateSysBpmNodeScript(SysBpmNodeScript sysBpmNodeScript)
    {
        sysBpmNodeScript.setUpdateTime(DateUtils.getNowDate());
        sysBpmNodeScript.setUpdateBy(SecurityUtils.getUserId().toString());
        return sysBpmNodeScriptMapper.updateSysBpmNodeScript(sysBpmNodeScript);
    }

    /**
     * 批量删除流程节点脚本
     * 
     * @param ids 需要删除的流程节点脚本主键
     * @return 结果
     */
    @Override
    public int deleteSysBpmNodeScriptByIds(Long[] ids)
    {
        return sysBpmNodeScriptMapper.deleteSysBpmNodeScriptByIds(ids);
    }

    /**
     * 删除流程节点脚本信息
     * 
     * @param id 流程节点脚本主键
     * @return 结果
     */
    @Override
    public int deleteSysBpmNodeScriptById(Long id)
    {
        return sysBpmNodeScriptMapper.deleteSysBpmNodeScriptById(id);
    }
}
